> For the complete documentation index, see [llms.txt](https://doc.twake.app/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://doc.twake.app/developers-api/api-reference/message/delete-request.md).

# DELETE Request

This method allow to delete message to a specific channel.

#### Before starting, make sure you added **`message_save`** into **`write privileges`**. See the [Application access and privileges](/developers-api/get-started.md#application-access-and-privileges) section.

## DELETE Message

<mark style="color:green;">`POST`</mark> `https://api.twake.app/api/v1/messages/remove`

#### Headers

| Name          | Type   | Description                               |
| ------------- | ------ | ----------------------------------------- |
| Content-Type  | string | `application/json`                        |
| Authorization | string | `Basic base64(public_id:private_api_key)` |

#### Request Body

| Name      | Type   | Description                                            |
| --------- | ------ | ------------------------------------------------------ |
| message   | object | `Require channel_id and content, see the body section` |
| group\_id | string | `See the group_id and the channel_id section`          |

{% tabs %}
{% tab title="200 if request is successful, the response should be something like this." %}

```
{
    "result": {
        "channel_id": "--", // Channel id
        "id": "--" // Deleted message id
    }
}
```

{% endtab %}
{% endtabs %}

## Body example:&#x20;

```
{
	"group_id": "---", 
	"message": {
		"channel_id": "---",
		"id": "--" // Message id that you want to delete
	}
}
```
